/*
 * rwy.h - data structures for records from rwy data file
 *
 * Adapted from "readme.rwy" file obtained from NFDC
 *
 * Copyright (C) 1998, John C. Peterson <mailto:jaypee@netcom.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License,
 * version 2. A copy is included in this distribution in the file
 * named "LICENSE".
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License, version 2, for more details.
 *
 * $Id: rwy.h,v 1.1 1998/04/27 06:09:27 jcp Exp $
 *
 */

typedef struct {

char *airport_idCrunway_id;	/* airport_id:runway_id */
char *airport_site_number;
char *runway_length_feet;	/* rounded to nearest foot */
char *runway_width_feet;	/* rounded to nearest foot */
char *runway_surface_type_and_condition;
char *runway_surface_treatment;
char *pavement_classification_number;
char *runway_lights_edge_intensity;

char *base_end_id;
char *base_end_true_mag_heading_deg;
char *base_end_ils_type;
char *base_end_use_of_right_hand_traffic_pattern;
char *base_end_rwy_markings_type;
char *base_end_rwy_markings_condition;
char *base_end_aircraft_arresting_device;
char *base_end_rwy_latitude;
char *base_end_rwy_latitude_sec;
char *base_end_rwy_longitude;
char *base_end_rwy_longitude_sec;
char *base_end_rwy_elevation;
char *base_end_threshold_crossing_height_feet_agl;
char *base_end_visual_glide_path_angle;	/* hundredths of degrees */
char *base_end_touchdown_zone_latitude;
char *base_end_touchdown_zone_latitude_sec;
char *base_end_touchdown_zone_longitude;
char *base_end_touchdown_zone_longitude_sec;
char *base_end_touchdown_zone_elevation;
char *base_end_glide_slope_indicators;
char *base_end_rwy_visual_range_equip;
char *base_end_rwy_visibility_value_equip;
char *base_end_approach_light_system;
char *base_end_rwy_end_identifier_lights_availability;
char *base_end_rwy_centerline_lights_availability;
char *base_end_rwy_end_touchdown_lights_availability;
char *base_end_controlling_object_description;
char *base_end_controlling_object_marked_or_lighted;
char *base_end_controlling_object_far_part_77_rwy_category;
char *base_end_controlling_object_clearance_slope;
char *base_end_controlling_object_height_above_rwy;
char *distance_from_base_rwy_end_to_controlling_object;
char *base_end_controlling_object_centerline_offset;

char *reciprocal_end_id;
char *reciprocal_end_true_mag_heading_deg;
char *reciprocal_end_ils_type;
char *reciprocal_end_use_of_right_hand_traffic_pattern;
char *reciprocal_end_rwy_markings_type;
char *reciprocal_end_rwy_markings_condition;
char *reciprocal_end_aircraft_arresting_device;
char *reciprocal_end_rwy_latitude;
char *reciprocal_end_rwy_latitude_sec;
char *reciprocal_end_rwy_longitude;
char *reciprocal_end_rwy_longitude_sec;
char *reciprocal_end_rwy_elevation;
char *reciprocal_end_threshold_crossing_height_feet_agl;
char *reciprocal_end_visual_glide_path_angle;	/* hundredths of degrees */
char *reciprocal_end_touchdown_zone_latitude;
char *reciprocal_end_touchdown_zone_latitude_sec;
char *reciprocal_end_touchdown_zone_longitude;
char *reciprocal_end_touchdown_zone_longitude_sec;
char *reciprocal_end_touchdown_zone_elevation;
char *reciprocal_end_approach_slope_indicators;
char *reciprocal_end_rwy_visual_range_equip;
char *reciprocal_end_rwy_visibility_value_equip;
char *reciprocal_end_approach_light_system;
char *reciprocal_end_rwy_end_identifier_lights_availability;
char *reciprocal_end_rwy_centerline_lights_availability;
char *reciprocal_end_rwy_end_touchdown_lights_availability;
char *reciprocal_end_controlling_object_description;
char *reciprocal_end_controlling_object_marked_or_lighted;
char *reciprocal_end_controlling_object_far_part_77_rwy_category;
char *reciprocal_end_controlling_object_clearance_slope;
char *reciprocal_end_controlling_object_height_above_rwy;
char *distance_from_reciprocal_rwy_end_to_controlling_object;
char *reciprocal_end_controlling_object_centerline_offset;

} rwy_t;
